Subject: Re: [Sip] Matching request for server transaction

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 18 Jun 2002 17:14:21 -0400

inline.

Aymeric MOIZARD wrote:
> Reading the 17.23 section about the rules used to
> match a request, I found a possible issue.
> 
> The spec says: [we must check the via branch, via sent-by
> parameter] "and in the case of a CANCEL
> request, the method of the request that created
> the transaction was also CANCEL.
> 
> In the case where a pending CANCEL is going on and
> we are receiving an retransmission of INVITE. The
> INVITE will contains the same via branch and sent-by
> and is not a CANCEL, so it will match the CANCEL
> transaction according the rules defined. (the test
> expect us to test the method only for CANCEL request!)

You are correct. Good catch.

> 
> I am true if I say that the cseq method must always
> be compared and not only for CSeq?

I assume you mean "not only for CANCEL?".

Almost. The exception is ACK. So, for all requests BUT ACK, the method 
of the request has to match the method of the request which created the 
transaction. In the case of ACK, the method of the request that created 
the transaction has to be INVITE.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip